
From: Arjan van de Ven <arjan@infradead.org>

task_nice() was exported for binfmt_elf, however that's no longer modular. 
normalize_rt_tasks() is used by the sysreq code only, which isn't modular.

Signed-off-by: Arjan van de Ven <arjan@infradead.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/sched.c |    3 ---
 1 files changed, 3 deletions(-)

diff -puN kernel/sched.c~unexport-task_nice kernel/sched.c
--- 25/kernel/sched.c~unexport-task_nice	Mon Nov  8 15:19:07 2004
+++ 25-akpm/kernel/sched.c	Mon Nov  8 15:19:07 2004
@@ -3199,8 +3199,6 @@ int task_nice(const task_t *p)
 	return TASK_NICE(p);
 }
 
-EXPORT_SYMBOL(task_nice);
-
 /**
  * idle_cpu - is a given cpu idle currently?
  * @cpu: the processor in question.
@@ -5004,5 +5002,4 @@ void normalize_rt_tasks(void)
 	read_unlock_irq(&tasklist_lock);
 }
 
-EXPORT_SYMBOL(normalize_rt_tasks);
 #endif /* CONFIG_MAGIC_SYSRQ */
_
